org.apache.myfaces.trinidad.context

## Enum RequestContext.OutputMode

- java.lang.Object
- - java.lang.Enum<RequestContext.OutputMode>
  - - org.apache.myfaces.trinidad.context.RequestContext.OutputMode

- All Implemented Interfaces:
    Serializable, Comparable<RequestContext.OutputMode>
  Enclosing class:
    RequestContext

      public static enum RequestContext.OutputMode
      extends Enum<RequestContext.OutputMode>

  Enumeration representing OutputModes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTACHMENT`
    `DEFAULT`
    `EMAIL`
    `PORTLET`
    `PRINTABLE`
    `WEB_CRAWLER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestContext.OutputMode` | `fromId(String id)` Returns the OutputMode isntance of `null` if no id matches.
    `String` | `id()`
    `String` | `toString()`
    `static RequestContext.OutputMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RequestContext.OutputMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final RequestContext.OutputMode DEFAULT

    - #### PORTLET

          public static final RequestContext.OutputMode PORTLET

    - #### PRINTABLE

          public static final RequestContext.OutputMode PRINTABLE

    - #### EMAIL

          public static final RequestContext.OutputMode EMAIL

    - #### ATTACHMENT

          public static final RequestContext.OutputMode ATTACHMENT

    - #### WEB_CRAWLER

          public static final RequestContext.OutputMode WEB_CRAWLER

  - ### Method Detail

    - #### values

          public static RequestContext.OutputMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RequestContext.OutputMode c : RequestContext.OutputMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RequestContext.OutputMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### id

          public String id()

      Returns:
        the id of this OutputMode.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<RequestContext.OutputMode>`

    - #### fromId

          public static RequestContext.OutputMode fromId(String id)

      Returns the OutputMode isntance of `null` if no id matches.
      Parameters:
        `id` - of OutputMode to return
      Returns:
        The OutputMode with the specified id
      Throws:
        `NullPointerException` - if `id` is null.
        `IllegalArgumentException` - if there is no enum with the specified name.

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.